"""Add MECE taxonomy fields to ProjectMemoryDB

Revision ID: 2c989d6d42f0
Revises: 297f102e7967
Create Date: 2025-04-22 20:58:10.129417

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import sqlmodel


# revision identifiers, used by Alembic.
revision: str = '2c989d6d42f0'
down_revision: Union[str, None] = '297f102e7967'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('projectmemorydb', sa.Column('platform_taxonomy', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('projectmemorydb', sa.Column('domain_taxonomy', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('projectmemorydb', sa.Column('size_taxonomy', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('projectmemorydb', sa.Column('compliance_taxonomy', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('projectmemorydb', sa.Column('custom_taxonomy', sa.JSON(), nullable=True))
    op.add_column('projectmemorydb', sa.Column('taxonomy_validation', sa.JSON(), nullable=True))
    op.create_index(op.f('ix_projectmemorydb_compliance_taxonomy'), 'projectmemorydb', ['compliance_taxonomy'], unique=False)
    op.create_index(op.f('ix_projectmemorydb_domain_taxonomy'), 'projectmemorydb', ['domain_taxonomy'], unique=False)
    op.create_index(op.f('ix_projectmemorydb_platform_taxonomy'), 'projectmemorydb', ['platform_taxonomy'], unique=False)
    op.create_index(op.f('ix_projectmemorydb_size_taxonomy'), 'projectmemorydb', ['size_taxonomy'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_projectmemorydb_size_taxonomy'), table_name='projectmemorydb')
    op.drop_index(op.f('ix_projectmemorydb_platform_taxonomy'), table_name='projectmemorydb')
    op.drop_index(op.f('ix_projectmemorydb_domain_taxonomy'), table_name='projectmemorydb')
    op.drop_index(op.f('ix_projectmemorydb_compliance_taxonomy'), table_name='projectmemorydb')
    op.drop_column('projectmemorydb', 'taxonomy_validation')
    op.drop_column('projectmemorydb', 'custom_taxonomy')
    op.drop_column('projectmemorydb', 'compliance_taxonomy')
    op.drop_column('projectmemorydb', 'size_taxonomy')
    op.drop_column('projectmemorydb', 'domain_taxonomy')
    op.drop_column('projectmemorydb', 'platform_taxonomy')
    # ### end Alembic commands ###
