"""Manual add lifecycle_taxonomy to ProjectMemoryDB

Revision ID: a20294e6d633
Revises: 2c989d6d42f0
Create Date: 2024-08-23 13:20:07.505898

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import sqlmodel


# revision identifiers, used by Alembic.
revision: str = 'a20294e6d633'
down_revision: Union[str, None] = '2c989d6d42f0'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('projectmemorydb', schema=None) as batch_op:
        batch_op.add_column(sa.Column('lifecycle_taxonomy', sa.String(), nullable=True))
        batch_op.create_index(batch_op.f('ix_projectmemorydb_lifecycle_taxonomy'), ['lifecycle_taxonomy'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('projectmemorydb', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_projectmemorydb_lifecycle_taxonomy'))
        batch_op.drop_column('lifecycle_taxonomy')
    # ### end Alembic commands ###
